org.hibernate.search.elasticsearch.analyzer.definition.impl

## Interface ElasticsearchAnalysisDefinitionRegistry

- All Known Implementing Classes:
    ChainingElasticsearchAnalysisDefinitionRegistry, ForwardingElasticsearchAnalysisDefinitionRegistry, NamespaceMergingElasticsearchAnalysisDefinitionRegistry, SimpleElasticsearchAnalysisDefinitionRegistry

      public interface ElasticsearchAnalysisDefinitionRegistry

  A registry of analysis-related definitions for Elasticsearch.
  Author:
    Yoann Rodiere

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnalyzerDefinition` | `getAnalyzerDefinition(String name)`
    `CharFilterDefinition` | `getCharFilterDefinition(String name)`
    `NormalizerDefinition` | `getNormalizerDefinition(String name)`
    `TokenFilterDefinition` | `getTokenFilterDefinition(String name)`
    `TokenizerDefinition` | `getTokenizerDefinition(String name)`
    `void` | `register(String name, AnalyzerDefinition definition)` Register an analyzer definition.
    `void` | `register(String name, CharFilterDefinition definition)` Register a char filter definition.
    `void` | `register(String name, NormalizerDefinition definition)` Register a normalizer definition.
    `void` | `register(String name, TokenFilterDefinition definition)` Register a token filter definition.
    `void` | `register(String name, TokenizerDefinition definition)` Register a tokenizer definition.

- - ### Method Detail

    - #### register

          void register(String name,
                        AnalyzerDefinition definition)

      Register an analyzer definition.
      Parameters:
        `name` - The name of the definition to be registered.
        `definition` - The definition to be registered.
      Throws:
        `SearchException` - if the name is already associated with a different definition.

    - #### register

          void register(String name,
                        NormalizerDefinition definition)

      Register a normalizer definition.
      Parameters:
        `name` - The name of the definition to be registered.
        `definition` - The definition to be registered.
      Throws:
        `SearchException` - if the name is already associated with a different definition.

    - #### register

          void register(String name,
                        TokenizerDefinition definition)

      Register a tokenizer definition.
      Parameters:
        `name` - The name of the definition to be registered.
        `definition` - The definition to be registered.
      Throws:
        `SearchException` - if the name is already associated with a different definition.

    - #### register

          void register(String name,
                        TokenFilterDefinition definition)

      Register a token filter definition.
      Parameters:
        `name` - The name of the definition to be registered.
        `definition` - The definition to be registered.
      Throws:
        `SearchException` - if the name is already associated with a different definition.

    - #### register

          void register(String name,
                        CharFilterDefinition definition)

      Register a char filter definition.
      Parameters:
        `name` - The name of the definition to be registered.
        `definition` - The definition to be registered.
      Throws:
        `SearchException` - if the name is already associated with a different definition.

    - #### getAnalyzerDefinition

          AnalyzerDefinition getAnalyzerDefinition(String name)

      Parameters:
        `name` - An analyzer name
      Returns:
        The analyzer definition associated with the given name, or `null` if there isn't any.

    - #### getNormalizerDefinition

          NormalizerDefinition getNormalizerDefinition(String name)

      Parameters:
        `name` - A normalizer name
      Returns:
        The normalizer definition associated with the given name, or `null` if there isn't any.

    - #### getTokenizerDefinition

          TokenizerDefinition getTokenizerDefinition(String name)

      Parameters:
        `name` - A tokenizer name
      Returns:
        The tokenizer definition associated with the given name, or `null` if there isn't any.

    - #### getTokenFilterDefinition

          TokenFilterDefinition getTokenFilterDefinition(String name)

      Parameters:
        `name` - A token filter name
      Returns:
        The token filter definition associated with the given name, or `null` if there isn't any.

    - #### getCharFilterDefinition

          CharFilterDefinition getCharFilterDefinition(String name)

      Parameters:
        `name` - A char filter name
      Returns:
        The char filter definition associated with the given name, or `null` if there isn't any.

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved